/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
// GLVersion.cpp: バージョン関連の関数を実装する
#include "stdafx.h"
#include "fugen.h"
#include "version.h" // Note: pre-build event generates version.h from version.h.in

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/// バージョン情報文字列を返す
/// @return バージョン情報文字列
///
/// "1.0.0.419" のような文字列を返す。
CString GetVersionText(){
	CString str(_T(WM_FUGEN_OUTPUT));
	str.Replace(TCHAR(','), TCHAR('.'));
	return str;
}

/// コピーライト文字列を返す
/// @return コピーライト文字列
///
/// "Copyright (C) 2017 System fugen G.K." のような文字列を返す。
CString GetCopyrightText(){
	return CString(_T(FUGEN_COPYRIGHT_TEXT));
}
